### Method

# Camel NetworkSettings dup_host_ensure_ascii

since: 3.16

#### Declaration [src]

    gchar*
    camel_network_settings_dup_host_ensure_ascii (
      CamelNetworkSettings* settings
    )

#### Description [src]

Just like camel_network_settings_dup_host(), only makes sure that the returned host name will be converted into its ASCII form in case of IDNA value.

Available since: 3.16

#### Return value

Type: `gchar*`

A newly-allocated copy of `CamelNetworkSettings:host` with only ASCII letters.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.